1. One-Click & Scheduled Payments
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • One-Click & Scheduled Payments
      • Request a recurring charge token
        POST
      • Update recurring charge card data
        PUT
      • Cancel a recurring charge
        DELETE
      • Update a recurring charge
        PATCH
      • Get recurring charge Info
        GET
      • Create a recurring charge
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Add a temporary charge or discount
        PUT
      • Make an One-click payment
        POST
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Create a payment button
    • Platform Status
    • Subscription Transactions
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. One-Click & Scheduled Payments

Make an One-click payment

POST
/subscriptions/v1/card/{subscriptionId}

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Make an One-click payment on an existing recurring charge identified by its subscriptionId that was created in the Create a recurring charge endpoint.
Got a suggestion on this documentation? Contact Us.
WARNING

Do you have your own 3DS authentication engine?*#

WARNING

Product in beta version in Ecuador 🇪🇨 🔐👨‍💻#

We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
Make sure you include the threeDomainSecure object in your request.

Deferred charges in Ecuador 🇪🇨 and Mexico 🇲🇽#

If you perform a deferred charge with credentials of an Ecuadorian or Mexican merchant, you have to set the deferred object that has the creditType, graceMonths and months.

How to obtain the available deferred options?#

As soon as your customer’s card number is entered, you must use the method Request deferred options to verify if there are deferred payment options for the BIN of the card entered by the user.

In response to this call, you will receive the name of the deferral, the type (corresponds to the creditType when executing the charge), the available months and the months of grace, as shown in the following example response.
  {
      name: "Diferido con intereses",
      type: "002",
      months: ["3", "6"],
      monthsOfGrace: ["1", "2", "3"]
    }
Some types of deferrals that may be returned in the response are:

Ecuador#

Diferido con meses de gracia sin intereses.
Diferido con meses de gracia con intereses.
Diferido cuota fija con intereses.
Diferido cuota fija sin intereses.
Diferido con intereses.
Diferido sin intereses.

México#

"03" = Months with no interest. (MSI)
For months with no interest in México, there is a minimum amount depending on the term to defer the transaction.
3 months: $300 MXN
6 months: $600 MXN
9 months: $900 MXN
12 months: $1,200 MXN
18 months: $,1800 MXN

Chile, Colombia and Peru#

For Chile, Colombia and Peru, deferred transactions vary depending on the affiliation model:

For Acquiring#

For deferred charges in Colombian, Peruvian, and Chilean merchants, you have to set the deferred object that includes the creditType, graceMonths, and months parameters.
In all countries, graceMonths must be sent with the value of 00.

Example: Credit Type 01 (Colombia, Perú, and Chile's Issuer Installments)#

  "deferred": {
    "graceMonths": "00",
    "creditType": "01",
    "months": 6
  }

Example: Credit Type 03 (Chile's "Cuotas Comercio" Installments)#

"deferred": {
    "graceMonths": "00",
    "creditType": "03",
    "months": 3
  }

For Aggregator model#

For deferred charges in Colombian, Chilean or Peruvian merchants in aggregator model, you can send the number of installments in the months parameter.
"months": 3,
WARNING

Important!#

In any case, you should consult the request deferred options method as these vary according to the BIN of the card.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/subscriptions/v1/card/' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "language": "es",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 10000,
        "ice": 0,
        "iva": 0,
        "currency": "CLP"
    },
    "metadata": {
        "customerId": "123"
    },
    "contactDetails": {
        "documentType": "RUT",
        "documentNumber": "11111111-1",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+56912345678"
    },
    "orderDetails": {
        "siteDomain": "tuebook.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+56912345678",
            "address": "Av. Providencia 1234",
            "city": "Santiago",
            "region": "Metropolitana",
            "country": "Chile",
            "zipCode": "7500000"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+56912345678",
            "address": "Av. Providencia 1234",
            "city": "Santiago",
            "region": "Metropolitana",
            "country": "Chile",
            "zipCode": "7500000"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 6990000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 9990000,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - One-click payment
{
    "ticketNumber": "124824724666494118",
    "transactionReference": "c897bafb-c78c-4cde-aa89-d44dd9b26ef7"
}
Modified at 2026-04-16 18:02:19
Previous
Add a temporary charge or discount
Next
Request a card async token
Built with